<?xml version="1.0"?>
<doc>
    <assembly>
        <name>LnkConverter</name>
    </assembly>
    <members>
        <member name="T:CommonHelpers.AppFailureExceptionCreator">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.AppFailureExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.AppFailureExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.AppFailureExceptionCreator.Do(System.Action)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.AppFailureExceptionCreator.Do``1(System.Func{``0})">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:LnkConverter.OpFailedExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:LnkConverter.OpFailedExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:LnkConverter.OpFailedExceptionCreator.Do(System.Action)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:LnkConverter.OperationFailedException" />
        </member>
        <member name="M:LnkConverter.OpFailedExceptionTranslator.Do(System.Action)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:LnkConverter.OperationFailedException" />
        </member>
        <member name="M:LnkConverter.Program.RaiseSyntaxError">
            <exception cref="T:CommonHelpers.HAppFailureException" />
        </member>
        <member name="M:LnkConverter.Program.RaiseSyntaxError(System.String)">
            <exception cref="T:CommonHelpers.HAppFailureException" />
        </member>
        <member name="M:LnkConverter.Program.RaiseSyntaxError(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HAppFailureException" />
        </member>
        <member name="M:LnkConverter.Program.RaiseSyntaxError(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HAppFailureException" />
        </member>
        <member name="M:LnkConverter.Program.CheckSwitchKeySingleOptionValue(CommonHelpers.HCmdLineParameter,System.String[])">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HAppFailureException" />
        </member>
        <member name="M:LnkConverter.Program.CheckSwitchKeySingleOptionValueEx(CommonHelpers.HCmdLineParameter,System.String[])">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HAppFailureException" />
        </member>
        <member name="M:LnkConverter.Program.GetDummyShortcutFilePath(System.String,System.Boolean@)">
            <exception cref="T:CommonHelpers.HAppFailureException" />
        </member>
        <member name="M:LnkConverter.Program.AppEraseTemporaryShortcutFile(System.String)">
            <exception cref="T:CommonHelpers.HAppFailureException" />
        </member>
        <member name="P:LnkConverter.Program.LnkConverter">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:LnkConverter.Program.AdducePath(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:LnkConverter.Program.HandleCheckFileExistsError(System.String,System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:LnkConverter.OperationFailedException" />
        </member>
        <member name="M:LnkConverter.Program.EraseTemporaryShortcutFile(System.String)">
            <exception cref="T:LnkConverter.OperationFailedException" />
        </member>
        <member name="M:LnkConverter.Program.EraseErrorLog">
            <exception cref="T:LnkConverter.OperationFailedException" />
        </member>
        <member name="M:LnkConverter.Program.AddErrorLogErrorRecord(System.String,System.String)">
            <exception cref="T:LnkConverter.ErrorLogException" />
        </member>
        <member name="M:LnkConverter.Program.AddErrorLogErrorRecord(System.String,System.String,System.Object[])">
            <exception cref="T:LnkConverter.ErrorLogException" />
        </member>
        <member name="M:LnkConverter.Program.AddErrorLogWarningsRecord(System.String,System.String[])">
            <exception cref="T:LnkConverter.ErrorLogException" />
        </member>
        <member name="M:LnkConverter.Program.AddErrorLogRecord(System.Boolean,System.String,System.String[])">
            <exception cref="T:LnkConverter.ErrorLogException" />
        </member>
        <member name="M:LnkConverter.Program.StartErrorLog">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:LnkConverter.ErrorLogException" />
        </member>
        <member name="M:LnkConverter.Program.EndErrorLog">
            <exception cref="T:LnkConverter.ErrorLogException" />
        </member>
        <member name="M:LnkConverter.Program.ProcessFile(System.String,System.String)">
            <exception cref="T:LnkConverter.OperationFailedException" />
            <exception cref="T:LnkConverter.ErrorLogException" />
        </member>
        <member name="M:LnkConverter.Program.ProcessFile(System.String,System.String,System.Boolean)">
            <exception cref="T:LnkConverter.OperationFailedException" />
            <exception cref="T:LnkConverter.ErrorLogException" />
        </member>
        <member name="M:LnkConverter.Program.ProcessFolder(System.String,System.String)">
            <exception cref="T:LnkConverter.ErrorLogException" />
        </member>
        <member name="M:LnkConverter.Program.DoProcessFolder(System.String,System.String,System.Nullable{System.Boolean})">
            <exception cref="T:LnkConverter.OperationFailedException" />
        </member>
        <member name="T:LnkConverter.LnkConverter_Info">
            <summary>
            Assembly information and related
            </summary>
        </member>
    </members>
</doc>
